Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IRhino3dm.AnnotationType

    java.lang.Object
      java.lang.Enum<IRhino3dm.AnnotationType>
          igeo.io.IRhino3dm.AnnotationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IRhino3dm.AnnotationType>

Enclosing class:
  IRhino3dm

    public static enum IRhino3dm.AnnotationType

extends java.lang.Enum<IRhino3dm.AnnotationType>

Enum Constant Summary
`dtDimAligned`
`dtDimAngular`
`dtDimDiameter`
`dtDimLinear`
`dtDimOrdinate`
`dtDimRadius`
`dtLeader`
`dtNothing`
`dtTextBlock`

Method Summary
`static IRhino3dm.AnnotationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IRhino3dm.AnnotationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dtNothing

    public static final IRhino3dm.AnnotationType dtNothing

### dtDimLinear

    public static final IRhino3dm.AnnotationType dtDimLinear

### dtDimAligned

    public static final IRhino3dm.AnnotationType dtDimAligned

### dtDimAngular

    public static final IRhino3dm.AnnotationType dtDimAngular

### dtDimDiameter

    public static final IRhino3dm.AnnotationType dtDimDiameter

### dtDimRadius

    public static final IRhino3dm.AnnotationType dtDimRadius

### dtLeader

    public static final IRhino3dm.AnnotationType dtLeader

### dtTextBlock

    public static final IRhino3dm.AnnotationType dtTextBlock

### dtDimOrdinate

    public static final IRhino3dm.AnnotationType dtDimOrdinate

Method Detail

### values

    public static IRhino3dm.AnnotationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IRhino3dm.AnnotationType c : IRhino3dm.AnnotationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IRhino3dm.AnnotationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD